Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

WorldEdit 5.4.6 snapshot and MC 1.4.5 bukkit server


  • Please log in to reply
4 replies to this topic

#1

DJLittleMike
  • Location: Long Island, New York

Posted 10 December 2012 - 08:32 PM

Hello all,

I hope this is in the right spot. I'm having trouble setting up a bukkit server with WorldEdit. I am using the 5.4.6 snapshot of WE. When I do a //wand, I get a wooden axe that selects positions with left and right clicks, but it seems that a bunch of other commands will crash WE. Here is the console log:

Spoiler:

I'm totally new to WE, so forgive me if I'm doing something wrong. To install, I extracted the WorldEdit.jar file into my plugins folder and restarted the server. I didn't get any error messages on server start. It was only when I tried a few commands like //hsphere and //stack that I got the above crash messages. The only other plugins I have installed are:

Essentials (all modules)
NoCheatPlus
Orebfuscator

That's it. This is on a Windows machine, no Hamachi or anything. Everything else seems to work fine.

Any help would be appreciated. If you need any more information, let me know.

Thanks!
Mike

Register or log in to remove.

#2

DJLittleMike
  • Location: Long Island, New York

Posted 11 December 2012 - 02:56 PM

Is this posted in the wrong section or something? 55 views and no one has experienced this aside from me? That's very surprising. I guess I'll just have to remove WE for now :\

#3

mcfacilitator

Posted 13 December 2012 - 05:13 AM

In case you didn't get your answer yet...  You are too current with your Bukkit build.  Go back to the last Beta, or make sure your Bukkit build is before 2512.  This is a Bukkit issue, intentionally caused by Bukkit.

#4

DJLittleMike
  • Location: Long Island, New York

Posted 13 December 2012 - 05:30 AM

View Postmcfacilitator, on 13 December 2012 - 05:13 AM, said:

In case you didn't get your answer yet...  You are too current with your Bukkit build.  Go back to the last Beta, or make sure your Bukkit build is before 2512.  This is a Bukkit issue, intentionally caused by Bukkit.

Thank you, no I did not get my answer yet. So I have to downgrade bukkit? Is there a way to preserve my world while doing that? I've already starting building a decent amount.

Also, any idea why this was an intentional move?

#5

BaileyBailous

Posted 14 December 2012 - 11:19 AM

I got a temporary fix by replacing my World Edit edit jar file from here. http://youtrack.sk89.../WORLDEDIT-2375, This fixed my issue of not being able to paste any items in World Edit.